Results 1 to 7 of 7

Thread: downgrading FireFox to latest stable 3.xx version

  1. #1
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default downgrading FireFox to latest stable 3.xx version

    Hi all,

    I use openSUSE 11.4 64 bits with KDE.

    For a specific reason (incompatibility with our internal revenue website) I'll have to downgrade to the latest stable FireFox version, 3.6 or something.

    I however do not know how to :
    1. find this repository
    2. when found, install it over my current 4.0.1 version.

    Any help will be greatly appreciated.

    Thank you,

    W

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: downgrading FireFox to latest stable 3.xx version

    To downgrade Firefox to 3.6, add the following repository (add URL):

    YaST / Software / Software Repositories

    Code:
    http://download.opensuse.org/repositories/mozilla/openSUSE_11.4/
    Next, startup YaST and search on firefox:

    YaST / Software / Software Management

    Now, go to the versions tab and for anything labeled 3.6, select that bullet. When done, select Accept/OK on the bottom right and allow Firefox to be downgraded. I might also suggest that once installed and working, I would visit Software Management again, search on Firefox again, right click on each 3.6 file and elect to put a lock on it so it will not upgrade on you in the future. Be aware that some new add-ins will no longer work without a downgrade or complete removal/re-installation.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default Re: downgrading FireFox to latest stable 3.xx version

    Quote Originally Posted by jdmcdaniel3 View Post
    To downgrade Firefox to 3.6, add the following repository (add URL):

    YaST / Software / Software Repositories

    Code:
    http://download.opensuse.org/repositories/mozilla/openSUSE_11.4/
    Next, startup YaST and search on firefox:

    YaST / Software / Software Management

    Now, go to the versions tab and for anything labeled 3.6, select that bullet. When done, select Accept/OK on the bottom right and allow Firefox to be downgraded. I might also suggest that once installed and working, I would visit Software Management again, search on Firefox again, right click on each 3.6 file and elect to put a lock on it so it will not upgrade on you in the future. Be aware that some new add-ins will no longer work without a downgrade or complete removal/re-installation.

    Thank You,
    Thanks for your fast answer.

    So I did, but apparently evrything got messed up. I had to use Konqueror, that got messed up too. So then I deleted FF 3.6 in the update list in Softaware management in YAST and re-installed FF 4.0. FF 4.0 does the job (I mean I can get to the internet) , but, unfortunately I need FF 3.6.

    Is there a way to firstly "de-install" FF 4 and then install FF 3.6 ?

    Thanks,

    W

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: downgrading FireFox to latest stable 3.xx version

    On 06/12/2011 10:36 AM, wba wrote:
    >
    > Is there a way to firstly "de-install" FF 4 and then install FF 3.6 ?


    sure, use YaST > Software management to uninstall (right click on FF4
    application and select "Delete")

    personally, i would also (after the above) rename ~/.mozilla to
    something like ~/.mozillaBAK

    and, then make sure you have a repo enabled with FF3.6, and again using
    YaST, install it..

    --
    dd CAVEAT: http://is.gd/bpoMD
    via NNTP openSUSE 11.4 [2.6.37.6-0.5] + KDE 4.6.0 + Thunderbird 3.1.10
    Acer Aspire One D255, 1.66 GHz Atom, 1 GB RAM, Intel Pineview graphics
    * When your gecko is broken you have a reptile dysfunction! *

  5. #5
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default Re: downgrading FireFox to latest stable 3.xx version

    Quote Originally Posted by DenverD View Post
    On 06/12/2011 10:36 AM, wba wrote:
    >
    > Is there a way to firstly "de-install" FF 4 and then install FF 3.6 ?


    sure, use YaST > Software management to uninstall (right click on FF4
    application and select "Delete")

    personally, i would also (after the above) rename ~/.mozilla to
    something like ~/.mozillaBAK

    and, then make sure you have a repo enabled with FF3.6, and again using
    YaST, install it..

    --
    dd CAVEAT: Caveat
    via NNTP openSUSE 11.4 [2.6.37.6-0.5] + KDE 4.6.0 + Thunderbird 3.1.10
    Acer Aspire One D255, 1.66 GHz Atom, 1 GB RAM, Intel Pineview graphics
    * When your gecko is broken you have a reptile dysfunction! *
    Thanks for your answer.

    Removing FF 4 is an easy thing : I YAST >> Software Management >> Search firefox : this gives me the
    Code:
    Mozilla Firefox Web Browser
    plus
    Code:
    openSUSE branding of Mozilla Firefox
    These two files are easily deleted.

    But how do I find the openSUSE 11.4 64 bits - KDE - FF 3.6 repository ?

    Thanks,

    W

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: downgrading FireFox to latest stable 3.xx version

    On 2011-06-14 20:36, wba wrote:
    > But how do I find the openSUSE 11.4 64 bits - KDE - FF 3.6 repository


    Second post.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  7. #7
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: downgrading FireFox to latest stable 3.xx version

    On 06/14/2011 08:36 PM, wba wrote:
    >
    > But how do I find the openSUSE 11.4 64 bits - KDE - FF 3.6 repository


    there is no such....but, there is a 3.6 64 bit firefox in the openSUSE
    11.3 oss repo..

    i've never done such a back level, and i've never read how to do it, but
    i'd _guess_ if you enable the 11.3 oss repo, and search for firefox in
    YaST it would show two versions, 3.6 in and the FF4 repo which you have
    already deleted), right click and mark 3.6 for installation and mark the
    ff4 as "taboo", and click accept...

    but, read my caveat and do _your_ homework on this how-to...or wait for
    someone to confirm or deny my guess as right or disastrous..

    hmmmm, you could also find the source for 3.6 and compile it..

    or, find a 3.6 rpm and install it....maybe here:
    http://software.opensuse.org/search/...&query=firefox

    --
    dd
    http://is.gd/bpoMD

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •